apiVersion: apps/v1
kind: Deployment
metadata:
  name: servala
spec:
  template:
    spec:
      containers:
        - name: servala
          env:
            - name: SERVALA_ENVIRONMENT
              value: production
            - name: SERVALA_ALLOWED_HOSTS
              value: portal.servala.com
            - name: SERVALA_STORAGE_BUCKET_NAME
              valueFrom:
                secretKeyRef:
                  name: portal-storage-creds
                  key: BUCKET_NAME
            - name: SERVALA_S3_ENDPOINT_URL
              valueFrom:
                secretKeyRef:
                  name: portal-storage-creds
                  key: ENDPOINT_URL
            - name: SERVALA_ACCESS_KEY_ID
              valueFrom:
                secretKeyRef:
                  name: portal-storage-creds
                  key: AWS_ACCESS_KEY_ID
            - name: SERVALA_SECRET_ACCESS_KEY
              valueFrom:
                secretKeyRef:
                  name: portal-storage-creds
                  key: AWS_SECRET_ACCESS_KEY
          resources:
            limits:
              cpu: 2
              memory: 2Gi
            requests:
              cpu: 500m
              memory: 512Mi
